# Poco::Redis

# class RedisInputStream

Library: Redis
Package: Redis
Header: Poco/Redis/RedisStream.h

## Description

An input stream for reading from a Redis server.

## Inheritance

Direct Base Classes: RedisIOS, std::istream

All Base Classes: RedisIOS, std::ios, std::istream

## Member Summary

Member Functions: getline

Inherited Functions: close, rdbuf

## Constructors

### RedisInputStream

RedisInputStream(
Net::StreamSocket & redis
);

Creates the RedisInputStream with the given socket.

## Destructor

### ~RedisInputStream

~RedisInputStream();

Destroys the RedisInputStream.

## Member Functions

### getline

std::string getline();

Redis uses \r\n as delimiter. This getline version removes the \r from the result.